Skala
Work order materials

List all work order materials

Fetches a complete list of work order material records available in the system.

GET
/api/work_order_materials

Fetches a complete list of work order material records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/work_order_materials"
[
  {
    "id": 0,
    "variant": "/entity/1",
    "notes": "string",
    "plannedQuantity": "string",
    "cost": "string",
    "status": "string",
    "expectedDate": "2019-08-24T14:15:22Z",
    "workOrder": "/entity/1",
    "totalQuantity": "string",
    "wastage": "string",
    "batches": [
      "/entity/1"
    ],
    "logs": [
      "/entity/1"
    ],
    "actualQuantity": "string",
    "serialNumbers": [
      "/entity/1"
    ],
    "materialUnitCost": "string",
    "consumedQuantity": "string",
    "company": "/entity/1",
    "createdBy": "/entity/1",
    "updatedBy": "/entity/1",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z"
  }
]